import matplotlib.pyplot as plt
import pandas
from pymlbenchmark.benchmark.bench_helper import bench_pivot
from pymlbenchmark.plotting import plot_bench_xtime

name = "../../onnx/results/bench_plot_onnxruntime_mlp.perf.csv"
df = pandas.read_csv(name)

def label_fct(la):
    la = la.replace("onxpython_compiled", "opy")
    la = la.replace("onxpython", "opy")
    la = la.replace("onxonnxruntime1", "ort")
    la = la.replace("fit_intercept", "fi")
    la = la.replace("True", "1")
    la = la.replace("False", "0")
    la = la.replace("activation=", "")
    return la

plot_bench_xtime(df, row_cols=['N', 'hidden_layer_sizes'],
                 col_cols='method',
                 hue_cols=['activation'],
                 cmp_col_values=('lib', 'skl'),
                 x_value='mean', y_value='xtime',
                 label_fct=label_fct, fontsize=12,
                 parallel=(1., 2.))

plt.suptitle("Acceleration onnxruntime / scikit-learn for MLPClassifier")
plt.show()